org.gjt.sp.jedit.bsh.classpath

## Class DiscreteFilesClassLoader.ClassSourceMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.gjt.sp.jedit.bsh.classpath.DiscreteFilesClassLoader.ClassSourceMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

Enclosing class:
  DiscreteFilesClassLoader

    public static class DiscreteFilesClassLoader.ClassSourceMap
    extends java.util.HashMap

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`DiscreteFilesClassLoader.ClassSourceMap()`

### Method Summary

Methods
`BshClassPath.ClassSource` `get(java.lang.String name)`
`void` `put(java.lang.String name, BshClassPath.ClassSource source)`

### Methods inherited from class java.util.HashMap

`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### DiscreteFilesClassLoader.ClassSourceMap

    public DiscreteFilesClassLoader.ClassSourceMap()

### Method Detail

#### put

    public void put(java.lang.String name,
           BshClassPath.ClassSource source)

#### get

    public BshClassPath.ClassSource get(java.lang.String name)